using System;

namespace Sudoku
{
	/// <summary>
	/// Summary description for SudokuMain.
	/// </summary>
	class SudokuMain
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			int [] initValues = {1, 0, 0,  0, 0, 0,  0, 0, 0,
								 0, 7, 2,  8, 0, 0,  0, 0, 6,
								 5, 0, 9,  2, 0, 0,  0, 7, 8,
			
								 7, 0, 0,  0, 0, 0,  0, 0, 0,
								 0, 0, 5,  6, 1, 9,  7, 0, 0,
								 0, 0, 0,  0, 0, 0,  0, 0, 3,
			
								 8, 3, 0,  0, 0, 7,  1, 0, 9,
								 9, 0, 0,  0, 0, 2,  6, 4, 7,
								 0, 0, 0,  0, 0, 0,  0, 0, 5};

			ConsolePuzzle p = new ConsolePuzzle();
			p.Initialize(initValues);

			p.Print();
			while (false == p.Solved) 
			{
				p.Advance();
				Console.ReadLine();
				p.Print();
			}
			Console.ReadLine();
		}
	}
}
